Net Worth
GET
/networth
const url = 'https://example.com/networth';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/networthPoint-in-time net worth with a per-account breakdown — consistent for any historical date (postings <= T, latest snapshot/valuation <= T).
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
NetWorthOut
object
as_of
required
As Of
string format: date
assets
required
Assets
string
breakdown
required
Breakdown
Array<object>
BreakdownItemobject
account_id
required
Account Id
string format: uuid
method
required
Method
string
path
required
Path
string
type
required
Type
string
value
required
Value
string
liabilities
required
Liabilities
string
net_worth
required
Net Worth
string
Example generated
{ "as_of": "2026-04-15", "assets": "example", "breakdown": [ { "account_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "method": "example", "path": "example", "type": "example", "value": "example" } ], "liabilities": "example", "net_worth": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}